Skip to content
Start here

[DEPRECATED] Delete Pipeline

Deprecated
pipelines.delete(strpipeline_name, PipelineDeleteParams**kwargs)
DELETE/accounts/{account_id}/pipelines/{pipeline_name}

[DEPRECATED] Delete a pipeline. Use the new /pipelines/v1/pipelines endpoint instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines Write
ParametersExpand Collapse
account_id: str

Specifies the public ID of the account.

pipeline_name: str

Defines the name of the pipeline.

maxLength128
minLength1

[DEPRECATED] Delete Pipeline

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.pipelines.delete(
    pipeline_name="sample_pipeline",
    account_id="0123105f4ecef8ad9ca31a8372d0c353",
)
Returns Examples